package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.entity.ProductService;
import com.diagbot.entity.User;
import com.diagbot.entity.wrapper.ProductServiceWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务端维护表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2018-09-17
 */
public interface ProductServiceMapper extends BaseMapper<ProductService> {

    ProductService findByProductIdAndServiceId(Map<String, Object> map);

    List<ProductService> findByProductId(Long productId);

    IPage<ProductServiceWrapper> selectProductServiceByUserIdPage(Page page, @Param("productService") ProductServiceWrapper productService);

    Integer deleteById(Long id);
}
