package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.OpenedProducts;
import com.diagbot.mapper.OpenedProductsMapper;
import com.diagbot.service.OpenedProductsService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 已开通产品 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
@Service
public class OpenedProductsServiceImpl extends ServiceImpl<OpenedProductsMapper, OpenedProducts> implements OpenedProductsService {
    @Override
    public IPage<OpenedProducts> selectOpendInfoByUserId(Page<OpenedProducts> page, int userId) {
        return baseMapper.selectOpendInfoByUserId(page,userId);
    }
}
